import { ExtractPropTypes } from "vue";
export declare const clipboardProps: {
    /**
     * css选择器
     */
    dom: StringConstructor;
    /**
     * 需要复制的文本
     */
    text: StringConstructor;
    /**
     * 复制成功的提示文本
     */
    message: {
        type: StringConstructor;
        default: string;
    };
    /**
     * 复制成功的回调函数
     */
    success: {
        type: FunctionConstructor;
    };
};
export type ClipboardProps = Partial<ExtractPropTypes<typeof clipboardProps>>;
