declare const _default: import("vue").DefineComponent<{
    table: {
        type: import("vue").PropType<import("./type").ConfigProviderTableProps>;
    };
    search: {
        type: import("vue").PropType<import("./type").ConfigProviderSearchProps>;
    };
    select: {
        type: import("vue").PropType<import("./type").ConfigProviderSelectProps>;
    };
    response: {
        type: import("vue").PropType<{
            code?: string | undefined;
            msg?: string | undefined;
            data?: string | undefined;
        }>;
    };
    datePicker: {
        type: import("vue").PropType<import("./type").ConfigProviderDatePicker>;
        default: () => import("./type").ConfigProviderDatePicker;
    };
}, () => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
    [key: string]: any;
}>[] | undefined, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    table: {
        type: import("vue").PropType<import("./type").ConfigProviderTableProps>;
    };
    search: {
        type: import("vue").PropType<import("./type").ConfigProviderSearchProps>;
    };
    select: {
        type: import("vue").PropType<import("./type").ConfigProviderSelectProps>;
    };
    response: {
        type: import("vue").PropType<{
            code?: string | undefined;
            msg?: string | undefined;
            data?: string | undefined;
        }>;
    };
    datePicker: {
        type: import("vue").PropType<import("./type").ConfigProviderDatePicker>;
        default: () => import("./type").ConfigProviderDatePicker;
    };
}>>, {
    datePicker: import("./type").ConfigProviderDatePicker;
}>;
export default _default;
