import { defineComponent, computed, openBlock, createElementBlock, createElementVNode, normalizeClass, renderSlot } from 'vue';
import _export_sfc from '../../../_virtual/plugin-vue_export-helper.mjs';

const _sfc_main = defineComponent({
  name: "BcStatus",
  props: {
    type: {
      type: String,
      default: "primary"
    }
  },
  setup(props) {
    const iconClass = computed(() => {
      return `bc-status--${props.type}`;
    });
    return {
      iconClass
    };
  }
});
const _hoisted_1 = { class: "bc-status" };
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return openBlock(), createElementBlock("div", _hoisted_1, [
    createElementVNode("i", {
      class: normalizeClass(["bc-status--icon", _ctx.iconClass])
    }, null, 2),
    renderSlot(_ctx.$slots, "default")
  ]);
}
var Status = /* @__PURE__ */ _export_sfc(_sfc_main, [["render", _sfc_render]]);

export { Status as default };
//# sourceMappingURL=index.mjs.map
