import installer from './install.mjs';
import './components/index.mjs';
export { compInstall } from './utils/index.mjs';
import './hooks/index.mjs';
export { buttonProps } from './components/button/src/type.mjs';
export { BcButton } from './components/button/index.mjs';
export { clipboardProps } from './components/clipboard/src/type.mjs';
export { BcClipboard } from './components/clipboard/index.mjs';
export { configProviderProps } from './components/configProvider/src/type.mjs';
export { BcConfigProvider } from './components/configProvider/index.mjs';
export { dialogProps } from './components/dialog/src/type.mjs';
export { BcDialog } from './components/dialog/index.mjs';
export { inputProps } from './components/input/src/type.mjs';
export { BcInput } from './components/input/index.mjs';
export { motionProps } from './components/motion/src/type.mjs';
export { BcMotion } from './components/motion/index.mjs';
export { motionGroupProps } from './components/motionGroup/src/type.mjs';
export { BcMotionGroup } from './components/motionGroup/index.mjs';
export { searchProps } from './components/search/src/type.mjs';
export { BcSearch } from './components/search/index.mjs';
export { selectProps } from './components/select/src/type.mjs';
export { BcSelect } from './components/select/index.mjs';
export { BcSvgIcon } from './components/svgIcon/index.mjs';
export { tableProps } from './components/table/src/type.mjs';
export { BcTable } from './components/table/index.mjs';
export { uploadProps } from './components/upload/src/type.mjs';
export { BcUpload } from './components/upload/index.mjs';
export { BcStatus } from './components/status/index.mjs';
export { BcDatePicker } from './components/date-picker/index.mjs';
export { copyText, extractObject, getValue, setValue, toCamel } from './utils/tools.mjs';
export { renderUnit } from './utils/renderUnit.mjs';
export { useConfigInject } from './hooks/useConfigInject.mjs';

const install = installer.install;
var index = {
  install
};

export { index as default, install };
//# sourceMappingURL=index.mjs.map
