'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var vue = require('vue');
var type = require('./type.js');

var ConfigProvider = vue.defineComponent({
  name: "BcConfigProvider",
  props: type.configProviderProps,
  setup(props, {
    slots,
    attrs
  }) {
    const configProvider = vue.reactive({
      ...props
    });
    vue.provide("configProvider", {
      ...configProvider,
      ...attrs
    });
    return () => {
      var _a;
      return (_a = slots.default) == null ? void 0 : _a.call(slots);
    };
  }
});

exports["default"] = ConfigProvider;
//# sourceMappingURL=configProvider.js.map
