import { ExtractPropTypes } from "vue";
export declare const svgIconProps: {
    /**
     * 宽度
     */
    width: (StringConstructor | NumberConstructor)[];
    /**
     * 高度
     */
    height: (StringConstructor | NumberConstructor)[];
    /**
     * 图标名（body中以雪碧图的形式导入）
     */
    icon: {
        type: StringConstructor;
        default: string;
        required: boolean;
    };
    /**
     * 类名
     */
    className: {
        default: string;
        type: StringConstructor;
    };
    /**
     * 标记
     */
    badge: (StringConstructor | NumberConstructor)[];
    /**
     * 是否禁用
     */
    disabled: BooleanConstructor;
};
export type SvgIconProps = ExtractPropTypes<typeof svgIconProps>;
