'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var vue = require('vue');
var elementPlus = require('element-plus');
var pluginVue_exportHelper = require('../../../_virtual/plugin-vue_export-helper.js');

const _sfc_main = vue.defineComponent({
  name: "BcTablePagination",
  inheritAttrs: false,
  props: {
    pageSizes: Array,
    layout: {
      type: String,
      default: "total, prev, pager, next, sizes, jumper"
    },
    background: {
      type: Boolean,
      default: true
    }
  },
  components: {
    ElPagination: elementPlus.ElPagination
  }
});
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  const _component_el_pagination = vue.resolveComponent("el-pagination");
  return vue.openBlock(), vue.createBlock(_component_el_pagination, vue.mergeProps({
    class: "bc-pagination",
    background: _ctx.background,
    style: { "text-align": "right" },
    "page-sizes": _ctx.pageSizes || [5, 10, 20, 50],
    layout: _ctx.layout
  }, _ctx.$attrs), null, 16, ["background", "page-sizes", "layout"]);
}
var customPagination = /* @__PURE__ */ pluginVue_exportHelper["default"](_sfc_main, [["render", _sfc_render]]);

exports["default"] = customPagination;
//# sourceMappingURL=pagination.js.map
