import { defineComponent, reactive, provide } from 'vue';
import { configProviderProps } from './type.mjs';

var ConfigProvider = defineComponent({
  name: "BcConfigProvider",
  props: configProviderProps,
  setup(props, {
    slots,
    attrs
  }) {
    const configProvider = reactive({
      ...props
    });
    provide("configProvider", {
      ...configProvider,
      ...attrs
    });
    return () => {
      var _a;
      return (_a = slots.default) == null ? void 0 : _a.call(slots);
    };
  }
});

export { ConfigProvider as default };
//# sourceMappingURL=configProvider.mjs.map
