import { PropType } from 'vue';
import { TableColumnCtx } from 'element-plus/lib/components/table/src/table-column/defaults';
export type RowType = {
    row: any;
    column: TableColumnCtx<unknown>;
    $index: number;
};
declare const _default: import("vue").DefineComponent<{
    emptyText: {
        type: (StringConstructor | FunctionConstructor)[];
        default: string;
    };
    rowSelection: {
        type: PropType<{
            preserveRowKeys?: boolean | undefined;
            selectedRowKeys: any[];
            onChange: (selection: any[], rows: any[], row: any) => void;
        }>;
        default: () => {
            selectedRowKeys: never[];
            onChange: () => {};
        };
    };
    rowKey: (StringConstructor | FunctionConstructor)[];
    disableTravel: BooleanConstructor;
    bodyBorder: BooleanConstructor;
    wrapHeader: BooleanConstructor;
    showOverflowTooltip: BooleanConstructor;
    hiddenCurrent: BooleanConstructor;
    rowEdit: BooleanConstructor;
    banSelectAll: BooleanConstructor;
    refs: StringConstructor;
    customIcon: BooleanConstructor;
    data: {
        type: PropType<Record<string, any>[]>;
        default: () => never[];
    };
    config: {
        type: PropType<Record<string, unknown>[]>;
        default: () => never[];
    };
    htmlContent: BooleanConstructor;
}, {
    tableRef: import("vue").Ref<any>;
    tableConfig: import("vue").Ref<Record<string, unknown>[]>;
    transformTableColumn: (config: Record<string, unknown>) => JSX.Element | null;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("select" | "save" | "radio")[], "select" | "save" | "radio", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    emptyText: {
        type: (StringConstructor | FunctionConstructor)[];
        default: string;
    };
    rowSelection: {
        type: PropType<{
            preserveRowKeys?: boolean | undefined;
            selectedRowKeys: any[];
            onChange: (selection: any[], rows: any[], row: any) => void;
        }>;
        default: () => {
            selectedRowKeys: never[];
            onChange: () => {};
        };
    };
    rowKey: (StringConstructor | FunctionConstructor)[];
    disableTravel: BooleanConstructor;
    bodyBorder: BooleanConstructor;
    wrapHeader: BooleanConstructor;
    showOverflowTooltip: BooleanConstructor;
    hiddenCurrent: BooleanConstructor;
    rowEdit: BooleanConstructor;
    banSelectAll: BooleanConstructor;
    refs: StringConstructor;
    customIcon: BooleanConstructor;
    data: {
        type: PropType<Record<string, any>[]>;
        default: () => never[];
    };
    config: {
        type: PropType<Record<string, unknown>[]>;
        default: () => never[];
    };
    htmlContent: BooleanConstructor;
}>> & {
    onSave?: ((...args: any[]) => any) | undefined;
    onSelect?: ((...args: any[]) => any) | undefined;
    onRadio?: ((...args: any[]) => any) | undefined;
}, {
    data: Record<string, any>[];
    config: Record<string, unknown>[];
    emptyText: string | Function;
    showOverflowTooltip: boolean;
    rowSelection: {
        preserveRowKeys?: boolean | undefined;
        selectedRowKeys: any[];
        onChange: (selection: any[], rows: any[], row: any) => void;
    };
    disableTravel: boolean;
    bodyBorder: boolean;
    wrapHeader: boolean;
    hiddenCurrent: boolean;
    rowEdit: boolean;
    banSelectAll: boolean;
    customIcon: boolean;
    htmlContent: boolean;
}>;
export default _default;
