'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var vue = require('vue');
var type = require('./type.js');
var pluginVue_exportHelper = require('../../../_virtual/plugin-vue_export-helper.js');

const _sfc_main = vue.defineComponent({
  name: "BcMotion",
  props: type.motionProps,
  setup(props) {
    const name = vue.computed(() => {
      const classes = [props.type, props.direction].filter((item) => !!item).join("-");
      return `bc-motion-${classes}`;
    });
    return {
      name
    };
  }
});
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return vue.openBlock(), vue.createBlock(vue.Transition, vue.mergeProps({
    class: "bc-motion-config",
    name: _ctx.name
  }, _ctx.$attrs, {
    style: {
      transitionDelay: _ctx.delay
    }
  }), {
    default: vue.withCtx(() => [
      _ctx.show ? vue.renderSlot(_ctx.$slots, "default", {
        key: 0,
        ref: "slotRef"
      }) : vue.createCommentVNode("v-if", true)
    ]),
    _: 3
  }, 16, ["name", "style"]);
}
var Motion = /* @__PURE__ */ pluginVue_exportHelper["default"](_sfc_main, [["render", _sfc_render]]);

exports["default"] = Motion;
//# sourceMappingURL=CssMotion.js.map
