'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var install$1 = require('./install.js');
require('./components/index.js');
var index$f = require('./utils/index.js');
require('./hooks/index.js');
var type = require('./components/button/src/type.js');
var index$1 = require('./components/button/index.js');
var type$1 = require('./components/clipboard/src/type.js');
var index$2 = require('./components/clipboard/index.js');
var type$2 = require('./components/configProvider/src/type.js');
var index$3 = require('./components/configProvider/index.js');
var type$3 = require('./components/dialog/src/type.js');
var index$4 = require('./components/dialog/index.js');
var type$4 = require('./components/input/src/type.js');
var index$5 = require('./components/input/index.js');
var type$5 = require('./components/motion/src/type.js');
var index$6 = require('./components/motion/index.js');
var type$6 = require('./components/motionGroup/src/type.js');
var index$7 = require('./components/motionGroup/index.js');
var type$7 = require('./components/search/src/type.js');
var index$8 = require('./components/search/index.js');
var type$8 = require('./components/select/src/type.js');
var index$9 = require('./components/select/index.js');
var index$a = require('./components/svgIcon/index.js');
var type$9 = require('./components/table/src/type.js');
var index$b = require('./components/table/index.js');
var type$a = require('./components/upload/src/type.js');
var index$c = require('./components/upload/index.js');
var index$d = require('./components/status/index.js');
var index$e = require('./components/date-picker/index.js');
var tools = require('./utils/tools.js');
var renderUnit = require('./utils/renderUnit.js');
var useConfigInject = require('./hooks/useConfigInject.js');

const install = install$1["default"].install;
var index = {
  install
};

exports.compInstall = index$f.compInstall;
exports.buttonProps = type.buttonProps;
exports.BcButton = index$1.BcButton;
exports.clipboardProps = type$1.clipboardProps;
exports.BcClipboard = index$2.BcClipboard;
exports.configProviderProps = type$2.configProviderProps;
exports.BcConfigProvider = index$3.BcConfigProvider;
exports.dialogProps = type$3.dialogProps;
exports.BcDialog = index$4.BcDialog;
exports.inputProps = type$4.inputProps;
exports.BcInput = index$5.BcInput;
exports.motionProps = type$5.motionProps;
exports.BcMotion = index$6.BcMotion;
exports.motionGroupProps = type$6.motionGroupProps;
exports.BcMotionGroup = index$7.BcMotionGroup;
exports.searchProps = type$7.searchProps;
exports.BcSearch = index$8.BcSearch;
exports.selectProps = type$8.selectProps;
exports.BcSelect = index$9.BcSelect;
exports.BcSvgIcon = index$a.BcSvgIcon;
exports.tableProps = type$9.tableProps;
exports.BcTable = index$b.BcTable;
exports.uploadProps = type$a.uploadProps;
exports.BcUpload = index$c.BcUpload;
exports.BcStatus = index$d.BcStatus;
exports.BcDatePicker = index$e.BcDatePicker;
exports.copyText = tools.copyText;
exports.extractObject = tools.extractObject;
exports.getValue = tools.getValue;
exports.setValue = tools.setValue;
exports.toCamel = tools.toCamel;
exports.renderUnit = renderUnit.renderUnit;
exports.useConfigInject = useConfigInject.useConfigInject;
exports["default"] = index;
exports.install = install;
//# sourceMappingURL=index.js.map
